Loading...
Searching...
No Matches
DRTApplicationSetupSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTApplicationSetupSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getApplicationSetupManufacturer (OFString &value, const signed long pos=0) const
| get ApplicationSetupManufacturer (300a,0238)
OFCondition | getApplicationSetupName (OFString &value, const signed long pos=0) const
| get ApplicationSetupName (300a,0236)
OFCondition | getApplicationSetupNumber (OFString &value, const signed long pos=0) const
| get ApplicationSetupNumber (300a,0234)
OFCondition | getApplicationSetupNumber (Sint32 &value, const unsigned long pos=0) const
| get ApplicationSetupNumber (300a,0234)
OFCondition | getApplicationSetupType (OFString &value, const signed long pos=0) const
| get ApplicationSetupType (300a,0232)
OFCondition | getTemplateName (OFString &value, const signed long pos=0) const
| get TemplateName (300a,0244)
OFCondition | getTemplateNumber (OFString &value, const signed long pos=0) const
| get TemplateNumber (300a,0240)
OFCondition | getTemplateNumber (Sint32 &value, const unsigned long pos=0) const
| get TemplateNumber (300a,0240)
OFCondition | getTemplateType (OFString &value, const signed long pos=0) const
| get TemplateType (300a,0242)
OFCondition | getTotalReferenceAirKerma (OFString &value, const signed long pos=0) const
| get TotalReferenceAirKerma (300a,0250)
OFCondition | getTotalReferenceAirKerma (Float64 &value, const unsigned long pos=0) const
| get TotalReferenceAirKerma (300a,0250)
DRTBrachyAccessoryDeviceSequence & | getBrachyAccessoryDeviceSequence ()
| get BrachyAccessoryDeviceSequence (300a,0260)
const DRTBrachyAccessoryDeviceSequence & | getBrachyAccessoryDeviceSequence () const
| get BrachyAccessoryDeviceSequence (300a,0260)
DRTChannelSequence & | getChannelSequence ()
| get ChannelSequence (300a,0280)
const DRTChannelSequence & | getChannelSequence () const
| get ChannelSequence (300a,0280)
DRTReferencedReferenceImageSequenceInRTBrachyApplicationSetupsModule & | getReferencedReferenceImageSequence ()
| get ReferencedReferenceImageSequence (300c,0042)
const DRTReferencedReferenceImageSequenceInRTBrachyApplicationSetupsModule & | getReferencedReferenceImageSequence () const
| get ReferencedReferenceImageSequence (300c,0042)
OFCondition | setApplicationSetupManufacturer (const OFString &value, const OFBool check=OFTrue)
| set ApplicationSetupManufacturer (300a,0238)
OFCondition | setApplicationSetupName (const OFString &value, const OFBool check=OFTrue)
| set ApplicationSetupName (300a,0236)
OFCondition | setApplicationSetupNumber (const OFString &value, const OFBool check=OFTrue)
| set ApplicationSetupNumber (300a,0234)
OFCondition | setApplicationSetupType (const OFString &value, const OFBool check=OFTrue)
| set ApplicationSetupType (300a,0232)
OFCondition | setTemplateName (const OFString &value, const OFBool check=OFTrue)
| set TemplateName (300a,0244)
OFCondition | setTemplateNumber (const OFString &value, const OFBool check=OFTrue)
| set TemplateNumber (300a,0240)
OFCondition | setTemplateType (const OFString &value, const OFBool check=OFTrue)
| set TemplateType (300a,0242)
OFCondition | setTotalReferenceAirKerma (const OFString &value, const OFBool check=OFTrue)
| set TotalReferenceAirKerma (300a,0250)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | ApplicationSetupManufacturer
| ApplicationSetupManufacturer (300a,0238) vr=LO, vm=1, type=3.
DcmLongString | ApplicationSetupName
| ApplicationSetupName (300a,0236) vr=LO, vm=1, type=3.
DcmIntegerString | ApplicationSetupNumber
| ApplicationSetupNumber (300a,0234) vr=IS, vm=1, type=1.
DcmCodeString | ApplicationSetupType
| ApplicationSetupType (300a,0232) vr=CS, vm=1, type=1.
DRTBrachyAccessoryDeviceSequence | BrachyAccessoryDeviceSequence
| BrachyAccessoryDeviceSequence (300a,0260) vr=SQ, vm=1, type=3.
DRTChannelSequence | ChannelSequence
| ChannelSequence (300a,0280) vr=SQ, vm=1, type=1.
DRTReferencedReferenceImageSequenceInRTBrachyApplicationSetupsModule | ReferencedReferenceImageSequence
| ReferencedReferenceImageSequence (300c,0042) vr=SQ, vm=1, type=3.
DcmLongString | TemplateName
| TemplateName (300a,0244) vr=LO, vm=1, type=3.
DcmIntegerString | TemplateNumber
| TemplateNumber (300a,0240) vr=IS, vm=1, type=3.
DcmShortString | TemplateType
| TemplateType (300a,0242) vr=SH, vm=1, type=3.
DcmDecimalString | TotalReferenceAirKerma
| TotalReferenceAirKerma (300a,0250) vr=DS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTApplicationSetupSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTApplicationSetupSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getApplicationSetupManufacturer()

OFCondition DRTApplicationSetupSequence::Item::getApplicationSetupManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicationSetupManufacturer (300a,0238)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getApplicationSetupName()

OFCondition DRTApplicationSetupSequence::Item::getApplicationSetupName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicationSetupName (300a,0236)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getApplicationSetupNumber() [1/2]

OFCondition DRTApplicationSetupSequence::Item::getApplicationSetupNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicationSetupNumber (300a,0234)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getApplicationSetupNumber() [2/2]

OFCondition DRTApplicationSetupSequence::Item::getApplicationSetupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ApplicationSetupNumber (300a,0234)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getApplicationSetupType()

OFCondition DRTApplicationSetupSequence::Item::getApplicationSetupType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ApplicationSetupType (300a,0232)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getBrachyAccessoryDeviceSequence() [1/2]

DRTBrachyAccessoryDeviceSequence & DRTApplicationSetupSequence::Item::getBrachyAccessoryDeviceSequence | ( |  | ) |

inline

get BrachyAccessoryDeviceSequence (300a,0260)

Returns
  reference to sequence element

References BrachyAccessoryDeviceSequence.

## getBrachyAccessoryDeviceSequence() [2/2]

const DRTBrachyAccessoryDeviceSequence & DRTApplicationSetupSequence::Item::getBrachyAccessoryDeviceSequence | ( |  | ) | const

inline

get BrachyAccessoryDeviceSequence (300a,0260)

Returns
  const reference to sequence element

References BrachyAccessoryDeviceSequence.

## getChannelSequence() [1/2]

DRTChannelSequence & DRTApplicationSetupSequence::Item::getChannelSequence | ( |  | ) |

inline

get ChannelSequence (300a,0280)

Returns
  reference to sequence element

References ChannelSequence.

## getChannelSequence() [2/2]

const DRTChannelSequence & DRTApplicationSetupSequence::Item::getChannelSequence | ( |  | ) | const

inline

get ChannelSequence (300a,0280)

Returns
  const reference to sequence element

References ChannelSequence.

## getReferencedReferenceImageSequence() [1/2]

DRTReferencedReferenceImageSequenceInRTBrachyApplicationSetupsModule & DRTApplicationSetupSequence::Item::getReferencedReferenceImageSequence | ( |  | ) |

inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  reference to sequence element

References ReferencedReferenceImageSequence.

## getReferencedReferenceImageSequence() [2/2]

const DRTReferencedReferenceImageSequenceInRTBrachyApplicationSetupsModule & DRTApplicationSetupSequence::Item::getReferencedReferenceImageSequence | ( |  | ) | const

inline

get ReferencedReferenceImageSequence (300c,0042)

Returns
  const reference to sequence element

References ReferencedReferenceImageSequence.

## getTemplateName()

OFCondition DRTApplicationSetupSequence::Item::getTemplateName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TemplateName (300a,0244)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTemplateNumber() [1/2]

OFCondition DRTApplicationSetupSequence::Item::getTemplateNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TemplateNumber (300a,0240)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTemplateNumber() [2/2]

OFCondition DRTApplicationSetupSequence::Item::getTemplateNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get TemplateNumber (300a,0240)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTemplateType()

OFCondition DRTApplicationSetupSequence::Item::getTemplateType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TemplateType (300a,0242)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTotalReferenceAirKerma() [1/2]

OFCondition DRTApplicationSetupSequence::Item::getTotalReferenceAirKerma | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get TotalReferenceAirKerma (300a,0250)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getTotalReferenceAirKerma() [2/2]

OFCondition DRTApplicationSetupSequence::Item::getTotalReferenceAirKerma | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TotalReferenceAirKerma (300a,0250)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTApplicationSetupSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTApplicationSetupSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTApplicationSetupSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTApplicationSetupSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setApplicationSetupManufacturer()

OFCondition DRTApplicationSetupSequence::Item::setApplicationSetupManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicationSetupManufacturer (300a,0238)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setApplicationSetupName()

OFCondition DRTApplicationSetupSequence::Item::setApplicationSetupName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicationSetupName (300a,0236)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setApplicationSetupNumber()

OFCondition DRTApplicationSetupSequence::Item::setApplicationSetupNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicationSetupNumber (300a,0234)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setApplicationSetupType()

OFCondition DRTApplicationSetupSequence::Item::setApplicationSetupType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ApplicationSetupType (300a,0232)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTemplateName()

OFCondition DRTApplicationSetupSequence::Item::setTemplateName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TemplateName (300a,0244)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTemplateNumber()

OFCondition DRTApplicationSetupSequence::Item::setTemplateNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TemplateNumber (300a,0240)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTemplateType()

OFCondition DRTApplicationSetupSequence::Item::setTemplateType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TemplateType (300a,0242)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTotalReferenceAirKerma()

OFCondition DRTApplicationSetupSequence::Item::setTotalReferenceAirKerma | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TotalReferenceAirKerma (300a,0250)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTApplicationSetupSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtass.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0